# Interface IvyArtifact

All Superinterfaces:
  `Buildable`

@Incubating public interface IvyArtifact extends Buildable
An artifact published as part of a `IvyPublication`.

## Method Summary

Modifier and Type
Method
Description
`void`
`builtBy(Object... tasks)`
Registers some tasks which build this artifact.
`String`
`getClassifier()`
The classifier used to publish the artifact file.
`String`
`getConf()`
A comma separated list of public configurations in which this artifact is published.
`String`
`getExtension()`
The extension used to publish the artifact file, never `null`.
`File`
`getFile()`
The actual file contents to publish.
`String`
`getName()`
The name used to publish the artifact file, never `null`.
`String`
`getType()`
The type used to publish the artifact file, never `null`.
`void`
`setClassifier(String classifier)`
Sets the classifier used to publish the artifact file.
`void`
`setConf(String conf)`
Sets a comma separated list of public configurations in which this artifact is published.
`void`
`setExtension(String extension)`
Sets the extension used to publish the artifact file.
`void`
`setName(String name)`
Sets the name used to publish the artifact file.
`void`
`setType(String type)`
Sets the type used to publish the artifact file.

### Methods inherited from interface Buildable

`getBuildDependencies`

## Method Details

### getName

String getName()
The name used to publish the artifact file, never `null`. Defaults to the name of the module that this artifact belongs to.

### setName

void setName(String name)
Sets the name used to publish the artifact file.

Parameters:
  `name` - The name.

### getType

String getType()
The type used to publish the artifact file, never `null`.

### setType

void setType(String type)
Sets the type used to publish the artifact file.

Parameters:
  `type` - The type.

### getExtension

String getExtension()
The extension used to publish the artifact file, never `null`. For an artifact without an extension, this value will be an empty String.

### setExtension

void setExtension(String extension)
Sets the extension used to publish the artifact file.

Parameters:
  `extension` - The extension.

### getClassifier

@Nullable String getClassifier()
The classifier used to publish the artifact file. A `null` value (the default) indicates that this artifact will be published without a classifier.

### setClassifier

void setClassifier(@Nullable String classifier)
Sets the classifier used to publish the artifact file.

Parameters:
  `classifier` - The classifier.

### getConf

@Nullable String getConf()
A comma separated list of public configurations in which this artifact is published. The '*' wildcard is used to designate that the artifact is published in all public configurations. A `null` value (the default) indicates that this artifact will be published without a conf attribute.

Returns:
  The value of 'conf' for this artifact.

### setConf

void setConf(@Nullable String conf)
Sets a comma separated list of public configurations in which this artifact is published. The '*' wildcard can be used to designate that the artifact is published in all public configurations.

Parameters:
  `conf` - The value of 'conf' for this artifact.

### getFile

File getFile()
The actual file contents to publish.

### builtBy

void builtBy(Object... tasks)
Registers some tasks which build this artifact.

Parameters:
  `tasks` - The tasks. These are evaluated as per `Task.dependsOn(Object...)`.